from django import forms

from .models import *
from .selectors import *

class WireGuardVPNForm(forms.ModelForm):
    network_size = forms.ChoiceField(choices=allowed_vpn_network_reservation_size)

    class Meta:
        model = WireGuardVPN
        fields = [ "wireguard_public_key" ]
